#ifndef ALARM_TREE_WIDGET_H
#define ALARM_TREE_WIDGET_H

#include "filter.h"
#include <QTreeWidget>
#include <vector>
#include <iostream>


using namespace std;

class AlarmTreeWidget : public QTreeWidget
{
    Q_OBJECT
public:
    AlarmTreeWidget(QWidget *parent);
    void applyFilter(AlarmFilter f);
    void cloneTreeWidget(QTreeWidget* other);
    void removeFilter();
    enum columns { DATET, MICROSEC, ALARM, STATUS, ACK, COUNT, LEVEL, SILENCED, GROUP, MESSAGE };

protected slots:

    void slotItemEntered(QTreeWidgetItem*,int);


signals:
    void message(const QString& msg);

    void mouseOverItem(bool);

    void silence();

    void ack();

protected:
    void showEvent(QShowEvent *e);

    void mouseMoveEvent(QMouseEvent *event);

    void contextMenuEvent(QContextMenuEvent *);

private:
    bool _filter_enabled;

};



















#endif



